![](https://i.imgur.com/IXPvlQ5.png)

# Description:
Hitmarkers are bits of visual and audio feedback to let you know that you hit something. Finally, after some testing and a lot of sweating, we have brought that functionality to BONEWORKS.

![](https://github.com/Not-Enough-Photons/Hitmarkers/blob/main/Images/demonstration.gif?raw=true "Demonstration")

# To Install:
1.) Drag all files to the root BONEWORKS directory.

# To make custom sounds
Go to UserData/Hitmarkers/Audio and find the folder of the sounds you want to replace or add. You have the regular hitmarker sound folder and the finisher hitmarker sound folder. Drag any sounds into these folders and you are finished!

# To make custom hitmarkers
Go to UserData/Hitmarkers/Texture and replace the two files.
If one of the files is not found, you will get a big white square.
Do note that when you do custom hitmarkers, you will have to make sure they are in powers of two! (i.e. 1024x1024 or 256x256)

## Source code:
https://github.com/Not-Enough-Photons/Hitmarkers

__________________________
## Changelog:

Version 1.2.0
- Added custom hitmarker image support! (Now you can do a trollface finisher)
- Fixed an audio bug related to time
- Added new options, like animation playback speed and hitmarker/finisher volume
- Audio is controlled differently now

Version 1.1.7
- Removed the dependency for Bass.NET and bass.dll and instead replaced it with AudioImportLib.

Version 1.1.6
- Entanglement custom player models support
- Fixed a multiplayer bug in which other player's guns will cause hitmarkers to spawn.

Version 1.1.5
- Added hitmarker scaling based on distance
- Entanglement support

Version 1.1.0
- Added a BoneMenu option to enable/disable the mod
- Added another option that can change the scale of the hitmarkers
- Scaling and animation improvements
- MTINM is now a dependency

Version 1.0.3
- Added the Bass.Net dependency

Version 1.0.2
- Supposedly fixed a bug where a hitmarker would spawn when an NPC dies through any means other than the player gunshots

Version 1.0.1
- Added the actual mod that was missing from release

Version 1.0.0
- Initial release